Skip to navigation

Update

Updates an organization-created contact. | authz: min_org_role=operator | (ContactClientUpdate1) -> (bool)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contact_idstringRequired

Request

This endpoint expects an object.
email_addressstring or nullOptional
email_address__set_to_NonebooleanOptionalDefaults to false
job_titlestring or nullOptional
job_title__set_to_NonebooleanOptionalDefaults to false
locationobject or nullOptional

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

location__set_to_NonebooleanOptionalDefaults to false
namestring or nullOptional1-255 characters
notesstring or nullOptional<=524288 characters
notes__set_to_NonebooleanOptionalDefaults to false
phone_numberstring or nullOptionalformat: "phone"
phone_number__set_to_NonebooleanOptionalDefaults to false

Response

Successful Response

Errors

422
Unprocessable Entity Error